Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154329 - sysreport generates incomplete modinfo output
Summary: sysreport generates incomplete modinfo output
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: sysreport
Version: 4.0
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-10 03:08 UTC by Stephen Gardner
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-21 11:46:33 UTC


Attachments (Terms of Use)

Description Stephen Gardner 2005-04-10 03:08:07 UTC
Description of problem:
sysreport uses the  catifexec  function to capture the output from the modinfo
command to a  modinfo  file. However  modinfo  is called multiple times from
within a for loop, once for each kernel module loaded, and as  catifexec  uses
">" the modinfo output file is overwritten with each successive repetition. The
sysreport modinfo file therefore only contains the information from the last
modinfo call (ie. the last module from the lsmod list it uses).

Version-Release number of selected component (if applicable):
RHEL4-AS-U0-i386
+   sysreport-1.3.14-1   taken from RHEL4-U1-beta

Comment 1 Stephen Gardner 2005-04-10 03:11:18 UTC
Not entirely sure how the Summary got so big... very odd.


Comment 2 Ngo Than 2005-05-09 14:52:21 UTC
it's now fixed in CVS. The sysreport-1.3.15-1 will include this fix. I will build
it in RHEL4-U2 tree this week. Thanls for report

Comment 3 Jay Turner 2005-06-21 11:46:33 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-502.html


Note You need to log in before you can comment on or make changes to this bug.